import { useState } from 'react'
import { SwitchInput } from './index.js'

export const Default = () => {
  const [value, setValue] = useState(false)
  return <SwitchInput value={value} onChange={setValue} />
}

export const Disabled = () => {
  const [value, setValue] = useState(true)
  return <SwitchInput value={value} onChange={setValue} disabled />
}

export const Description = () => {
  const [value, setValue] = useState(true)
  return (
    <SwitchInput
      value={value}
      onChange={setValue}
      description={value ? 'Enabled' : 'Disabled'}
    />
  )
}
